     module Mod_SISVAT_ctr

!--------------------------------------------------------------------------+
!    module Mod_SISVAT_ctr                            Wed 15-May-2013  MAR |
!    module Mod_SISVAT_ctr  contains specific constants and variables for  |
!                Soil/Ice Snow Vegetation Atmosphere Transfer Scheme       |
!                                                                          |
!     version 3.p.4.1 created by H. Gallee,           Sat 23-Feb-2013      |
!                    modified by H. Gallee,           Wed 15-May-2013      |
!                                                                          |
!--------------------------------------------------------------------------+



! General Variables
! =================

      use Mod_Real


      IMPLICIT NONE


! Col de Porte specific Constants
! ===============================

      logical             ::  InpSBC               ! INPUT of Surface Forcing            Switch
      logical             ::  InpSWD               ! INPUT is SW downward, not absorbed, (y / n)
      logical             ::  VegMod               ! Vegetation   Activation             Switch
      logical             ::  SnoMod               !         Snow Model                  Switch
      logical             ::  BloMod               ! Blowing Snow Model                  Switch
      logical             ::  ColPrt               ! Col de Porte                        Switch
      logical             ::  Garrat               ! Garrat SBL parameterization         Switch
      logical             ::  SVaKzT               ! Turb.Diffus. of Energy on each col. Switch
      logical             ::  SVaUBC               ! Von Neuman Vertical Bound.Cond.     Switch


      end module Mod_SISVAT_ctr
